# Read accounting correction history

Read a booked deal’s tenant-scoped activity and correction reasons with before/after money values. Requires books read access. Follow nextBeforeId with beforeId to reach older history.

Access class: `workspace:books`.

## Endpoint

`GET /v1/accounting/deals/{id}/activity`

## Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| id | path | string | Yes |
| beforeId | query | integer | No |

## Responses

### 200

the action's answer

Content type: `application/json`.

```json
{
  "data": {
    "entries": [
      {
        "action": "string",
        "actorKind": "string",
        "actorName": "string",
        "actorUserId": 1.5,
        "assignees": "string",
        "columnLabels": "string",
        "createdAt": "string",
        "detail": {
          "commission": 1.5,
          "commission_from": 1.5,
          "commission_to": 1.5,
          "currency": "string",
          "deal_date": "string",
          "facility_id": 1.5,
          "funded": 1.5,
          "funded_from": 1.5,
          "funded_to": 1.5,
          "psf": 1.5,
          "psf_from": 1.5,
          "psf_to": 1.5,
          "reason": "string",
          "reference": "string",
          "status_from": "string",
          "status_to": "string"
        },
        "entityId": 1.5,
        "entityKind": "string",
        "entityName": "string",
        "entityRowId": "",
        "entityUuid": "string",
        "id": 1.5,
        "requestId": ""
      }
    ],
    "nextBeforeId": 1
  }
}
```

### default

a refusal: `{"error": "<what a person needs to read>"}`. 401 no credential, 402 the plan does not include this, 403 the seat does not, 404 the thing does not exist or is not yours to see.

Content type: `application/json`.

```json
{
  "error": "string"
}
```
